import request from '/@/utils/request';

/**
 * @summary GetMonitorDataDockingInterruptAlarmConfigureByDataDockingID
 */
export const GetMonitorDataDockingInterruptAlarmConfigureByDataDockingID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Interrupt/Alarm/Configure/GetByDataDockingID@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary 获取所有数据对接中断报警配置
 */
export const GetAllMonitorDataDockingInterruptAlarmConfigure = async (params, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Interrupt/Alarm/Configure/GetByDataDockingID@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary 添加一个数据对接中断报警配置
 */
export const InsertAMonitorDataDockingInterruptAlarmConfigure = async (data, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Interrupt/Alarm/Configure/Insert@V1.0',
		method: 'post',
		data,
	});
};

/**
 * @summary 修改一个数据对接中断报警配置
 */
export const UpdateAMonitorDataDockingInterruptAlarmConfigure = async (data, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Interrupt/Alarm/Configure/Update@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 修改数据对接中断报警配置排序码
 */
export const UpdateMonitorDataDockingInterruptAlarmConfigureSorter = async (data, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Interrupt/Alarm/Configure/UpdateSorter@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 更新数据对接中断报警配置使用状态
 */
export const UpdateMonitorDataDockingInterruptAlarmConfigureUseStatus = async (data, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Interrupt/Alarm/Configure/UpdateUseStatus@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 删除一个数据对接中断报警配置
 */
export const DeleteAMonitorDataDockingInterruptAlarmConfigure = async (params, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Interrupt/Alarm/Configure/DeleteByID@V1.0',
		method: 'delete',
		params,
	});
};
